## UserApi

This is the UserApi API

## createUsersWithArrayInput

### URL

`http://petstore.swagger.wordnik.com/api/user.{format}/createWithArray`

### HTTP Method

`POST`

### Response Type

### Parameters

body :
Array[User](body)

List of user object

## createUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.wordnik.com/api/user.{format}`

### HTTP Method

`POST`

### Response Type

### Parameters

body :
User(body)

Created user object

## createUsersWithListInput

### URL

`http://petstore.swagger.wordnik.com/api/user.{format}/createWithList`

### HTTP Method

`POST`

### Response Type

### Parameters

body :
List[User](body)

List of user object

## updateUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.wordnik.com/api/user.{format}/{username}`

### HTTP Method

`PUT`

### Response Type

### Parameters

username : string(path)

name that need to be deleted

body :
User(body)

Updated user object

## deleteUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.wordnik.com/api/user.{format}/{username}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

username : string(path)

The name that needs to be deleted

## getUserByName

### URL

`http://petstore.swagger.wordnik.com/api/user.{format}/{username}`

### HTTP Method

`GET`

### Response Type

User

### Parameters

username : string(path)

The name that needs to be fetched. Use user1 for testing.

## loginUser

### URL

`http://petstore.swagger.wordnik.com/api/user.{format}/login`

### HTTP Method

`GET`

### Response Type

string

### Parameters

username : string(query)

The user name for login

password : string(query)

The password for login in clear text

## logoutUser

### URL

`http://petstore.swagger.wordnik.com/api/user.{format}/logout`

### HTTP Method

`GET`

### Response Type

### Parameters